int
checkColumnIndex(MSSQL *s,int column)
{
	if (column<0||column>255) {
		strcpy(s->lastError,"bindIntegerColumn: illegal column index.");
		return 1;
	}
	return 0;
}

int
bindIntegerColumn(MSSQL *s,int column,int *buf)
{
	if (checkColumnIndex(s,column))
		return 1;

	s->columns[column].val=(void*) buf;
	s->columns[column].boundType=T_C_INTEGER;

	return 0;
}

int
bindLonglongColumn(MSSQL *s,int column,long long *buf)
{
	if (checkColumnIndex(s,column))
		return 1;

	s->columns[column].val=(void*) buf;
	s->columns[column].boundType=T_C_LONGLONG;

	return 0;
}

int
bindStringColumn(MSSQL *s,int column,char *buf,int maxlen)
{
	if (checkColumnIndex(s,column))
		return 1;

	s->columns[column].val=(void*) buf;
	s->columns[column].maxlen=maxlen;
	s->columns[column].boundType=T_C_STRING;

	return 0;
}

int
bindDoubleColumn(MSSQL *s,int column,double *buf)
{
	if (checkColumnIndex(s,column))
		return 1;

	s->columns[column].val=(void*) buf;
	s->columns[column].boundType=T_C_DOUBLE;

	return 0;
}
