import socket
import thread
import select
import sys

def dump(log,data,comment):
	pos=0
	log.write(comment+'\n')
	while pos<len(data):
		if pos % 16==0:
			log.write('\n%04x  ' % pos)

		for i in range(16):
			if i+pos < len(data):
				log.write('%02x ' % ord(data[pos+i]))
			else:
				log.write('   ')

		for i in range(16):
			if i+pos < len(data):
				dd=data[pos+i]
				if ord(dd) in range(32,255):
					log.write('%c' % dd)
				else:
					log.write('.')

		pos=pos+16
	log.write('\n\n\n')

def logger(conn,t):
	log=open("log_"+str(t),'w')

	q=socket.socket(socket.AF_INET,socket.SOCK_STREAM)
	q.bind('pec.fenar.ee',0)
	q.connect('arno1.mtb.ee',1433)

	while 1:
		i,o,e=select.select([q,conn],[],[],1)
		if conn in i:
			data = conn.recv(4096)
			if not data:
				break
			print '1',t,len(data)
			dump(log,data,'c->s')
			q.send(data)
		if q in i:
			data = q.recv(4096)
			if not data:
				break
			print '2',t,len(data)
			dump(log,data,'s->c')
			conn.send(data)
	log.close()
	conn.close()
	q.close()
	print 'aidaa...\n'
	thread.exit_thread()

s=socket.socket(socket.AF_INET,socket.SOCK_STREAM)
s.bind('',1433)
s.listen(5)

t=0

while 1:
	conn,addr=s.accept()

	thread.start_new_thread(logger,(conn,t))
	t=t+1

