#include "mssql.h"

#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include <errno.h>
#undef   NDEBUG

int
main(int argc, char **argv)
{
MSSQL *s;
int state;

	if (argc<2)
		return 0;

	s = allocMsSql();
	initIo(s,IO_SOCKET);
	s->verbose=1;
	
	connectMsSql(s, "192.168.15.1", 1433);

	doLogin(s,
	  "klientmasina nimi",
	  "sa",
	  "",
	  "00112233",
	  "","",
	  "us_english","iso_1");

	state=execDirect(s,argv[1]);

	if (state==ROW_READY)
		printColumnNames(s);

	while (state==ROW_READY) {
		printResult(s);
		state=nextTuple(s);
	}

	printStats(s);
	disconnectMsSql(s);

	return 0;
}
